Delete source
1 min
DELETE
https://cg.optimizely.com/api/content/v3/sources
idstring<p>The id of the source</p>
<ul>
<li><em>(empty): all sources</em></li>
<li><em><strong>default</strong>: only default source</em></li>
<li><em><strong>src1</strong>: only src1</em></li>
</ul>
modeobject<p>Delete mode</p>
<table><thead><tr><th>mode</th><th>description</th><th>types</th><th>data</th></tr></thead><tbody><tr><td><em>(empty)</em></td><td><em>delete types and data</em></td><td><em>(delete)</em></td><td><em>(delete)</em></td></tr><tr><td><em><strong>types</strong></em></td><td><em>delete only types</em></td><td><em>(delete)</em></td><td></td></tr><tr><td><em><strong>data</strong></em></td><td><em>delete only data</em></td><td></td><td><em>(delete)</em></td></tr><tr><td><em><strong>reset</strong></em></td><td><em>reset data</em></td><td><em>(delete)</em></td><td><em>(reset)</em></td></tr></tbody></table>
slotobject<p>The slot of the source <em>(optional)</em></p>
<ul>
<li><em>(empty): old slot</em></li>
<li><em><strong>new</strong>: new slot</em></li>
</ul>
200Source is deleted successfully
404Source is not found
curl --request DELETE \
--url 'https://cg.optimizely.com/api/content/v3/sources?mode=object&slot=object' \
--header 'accept: application/json'